curl --request POST \
--url https://verify-api.smsmanager.com/v1/validations/{token}/verify \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"code": "123456"
}
'import requests
url = "https://verify-api.smsmanager.com/v1/validations/{token}/verify"
payload = { "code": "123456" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '123456'})
};
fetch('https://verify-api.smsmanager.com/v1/validations/{token}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verified": true,
"phoneNumber": "1234567890",
"token": "61591bd88d8fbe7736bca535809d1216dd71cb0b5cbf2b07e5a08adfbeb5d35b",
"code": "123456",
"timestamp": "2024-01-15T10:30:00Z",
"proof": "86dd8444ed76402c93ce62497cb29a0d7af7215261b8497cb355e617b13f4ef2",
"verifiedAt": "2024-01-15T10:31:15Z"
}Verify code
Verifies the code entered by the user. On successful verification, returns all data needed for backend verification including the phone number, token, code, timestamp, and HMAC proof (if account has verificationSecret configured).
The number of attempts is limited based on account configuration (default: 6).
Authorizations
Your tenant's API key
Path Parameters
The validation token returned from the start validation endpoint
"val_7af7215261b8497cb355e617b13f4ef2"
Body
The 6-digit verification code from SMS
^[0-9]{6}$"123456"
Response
Code verified successfully
Whether the verification was successful
true
The verified phone number (only present if verified is true)
"1234567890"
The validation token (only present if verified is true)
"550e8400-e29b-41d4-a716-446655440000_abc123"
The verification code that was verified (only present if verified is true)
"123456"
When the validation was started (only present if verified is true)
"2024-01-15T10:30:00Z"
HMAC proof for this verification (only present if verified is true and tenant has verificationSecret)
"86dd8444ed76402c93ce62497cb29a0d7af7215261b8497cb355e617b13f4ef2"
When the verification was completed (only present if verified is true)
"2024-01-15T10:31:15Z"
Was this page helpful?